#pragma once

#include "CoreMinimal.h"
#include "ActivateStatusEffectOnEventBaseStrategy.h"
#include "ActivateStatusEffectOnEventInstigatorStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UActivateStatusEffectOnEventInstigatorStrategy : public UActivateStatusEffectOnEventBaseStrategy
{
	GENERATED_BODY()

public:
	UActivateStatusEffectOnEventInstigatorStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UActivateStatusEffectOnEventInstigatorStrategy) { return 0; }
